{% extends "dashboard/dashboard_content.html" %}

{% block title %}
    Allot Staffs
{% endblock %}

{% block head_block %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/css/bootstrap-select.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/js/bootstrap-select.min.js"></script>


{% endblock %}

{% block rightPane %}
    {% if perms.curriculum.can_create_semester_plan %}
        <div class="x_panel">
            <div class="x_title">
                <h2>
                    <i class="ionicons ion-person-add"></i>
                    Allot Staffs
                </h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <div class="row">
                    <ul class="nav nav-tabs bar_tabs">
                        {% for semester in list_of_semesters %}
                            {% if forloop.counter == 1 %}
                                <li {% if selected_semester == semester.semester_instance.pk %}class="active" {% else %}
                                    class="" {% endif %} onmouseover="$(this).css('cursor','pointer');">
                                    <a aria-expanded="true"
                                       id={{ semester.semester_instance.pk }}
                                               data-toggle="tab" name="batch_tab">
                                        {{ semester.display_text }}

                                    </a>
                                </li>
                            {% else %}
                                <li {% if selected_semester == semester.semester_instance.pk %}class="active" {% else %}
                                    class="" {% endif %} onmouseover="$(this).css('cursor','pointer');">
                                    <a aria-expanded="true"
                                       id={{ semester.semester_instance.pk }}
                                               data-toggle="tab" name="batch_tab">
                                        {{ semester.display_text }}
                                    </a>
                                </li>
                            {% endif %}
                        {% endfor %}
                    </ul>
                    <ul class="nav nav-tabs bar_tabs">
                        {% for course_allotment in course_list %}
                            {% if forloop.counter == 1 %}
                                <li {% if selected_course == course_allotment.staff_course_instance.pk %}class="active" {% else %}
                                    class="" {% endif %}>
                                    <a aria-expanded="true"
                                       id={{ course_allotment.staff_course_instance.pk }}
                                               data-toggle="tab" name="course_tab">
                                        {{ course_allotment.display_text }}
                                    </a>
                                </li>
                            {% else %}
                                <li {% if selected_course == course_allotment.staff_course_instance.pk %}class="active" {% else %}
                                    class="" {% endif %}>
                                    <a aria-expanded="false"
                                       id={{ course_allotment.staff_course_instance.pk }}
                                               data-toggle="tab" name="course_tab">
                                        {{ course_allotment.display_text }}
                                    </a>
                                </li>
                            {% endif %}
                        {% endfor %}
                    </ul>

                    <div role="alert" class="alert alert-info alert-dismissible fade in">
                        <h5>
                            <ul>
                                <li>
                                    This option allows you to split students to different staffs who handling the course
                                    (Optional).
                                </li>
                                <br>
                                <li>
                                    By default all students are set to staffs selected in Allot staff.
                                </li>
                            </ul>
                        </h5>
                    </div>
                    {% if no_of_staffs == 0 %}
                        <div role="alert" class="alert alert-warning alert-dismissible fade in">
                            <h5> Allot Staff for the course in order to split into batches </h5>
                        </div>
                    {% elif no_of_students == 0 %}
                        <div role="alert" class="alert alert-success alert-dismissible fade in">
                            <h5> No students are enrolled for this course </h5>
                        </div>
                    {% else %}
                        {% if delete_possible %}
                            <form method="POST">{% csrf_token %}
                                <input type="hidden" name="hidden_selected_semester"
                                       value="{{ selected_semester }}">
                                <input type="hidden" name="hidden_selected_course" value="{{ selected_course }}">
                                <div class="col-md-offset-8 col-sm-offset-8">

                                    <button type="button" class="btn1 btn1-danger" data-toggle="modal"
                                            data-target="#myModal">
                                        Delete Split
                                    </button>
                                </div>
                                <div class="modal fade" id="myModal" tabindex="-1"
                                     role="dialog"
                                     aria-labelledby="conformmodal" aria-hidden="true">
                                    <div class="modal-dialog modal-lg" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <button type="button" class="close" data-dismiss="modal"
                                                        aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                </button>
                                                <h4 class="modal-title">Delete Confirmation</h4>
                                            </div>
                                            <div class="x_content">
                                                <ul>
                                                    <li>Deleting the split will set the students to its default.</li>
                                                    <br>
                                                    <li>(Staffs selected in the Allot Staff)</li>
                                                </ul>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn1 btn1-secondary"
                                                        data-dismiss="modal">Close
                                                </button>
                                                <button class="btn1 btn1-danger" type="submit" name="delete_split"
                                                        value="delete">
                                                    Delete Split
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        {% endif %}
                        <br>
                        <div class="tab-content">
                            <div class="form-horizontal form-label-left">
                                <form method="POST">{% csrf_token %}
                                    <input type="hidden" name="hidden_selected_semester"
                                           value="{{ selected_semester }}">
                                    <input type="hidden" name="hidden_selected_course" value="{{ selected_course }}">
                                    {% for student in list_of_students %}
                                        <div class="form-group">
                                            <label class="control-label col-md-4 col-sm-4 col-xs-12">
                                                {{ student.student_obj.roll_no }} - {{ student.student_obj }}
                                            </label>
                                            <div class="col-md-5 col-sm-5 col-xs-12">
                                                <select class="selectpicker form-control" id="{{ course.pk }}"
                                                        data-live-search="true" title="Not Alloted"
                                                        data-actions-box="true"
                                                        name="select_student-{{ student.student_obj.pk }}"
                                                        data-show-subtext="true" required>
                                                    {% for staff in list_of_staffs %}
                                                        {% if student.staff_instance.pk == staff.pk %}
                                                            <option value="{{ staff.pk }}"
                                                                    data-subtext="{{ staff.department.acronym }}"
                                                                    selected>{{ staff }}</option>
                                                        {% else %}
                                                            <option value="{{ staff.pk }}"
                                                                    data-subtext="{{ staff.department.acronym }}">{{ staff }}</option>
                                                        {% endif %}
                                                    {% endfor %}
                                                </select>
                                            </div>
                                        </div>
                                    {% endfor %}
                                    <div class="col-sm-12 col-md-12 col-xs-12" align="center">
                                        <input type="submit" class="btn1 btn-dark-green" name="assign"
                                               value="Assign">
                                    </div>
                                </form>
                            </div>
                        </div>
                    {% endif %}
                </div>
            </div>
        </div>
    {% endif %}

    <form id="dummy_form" method="post">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        {% if delete_status == True %}
            $(function () {
                new PNotify({
                    title: false,
                    text: 'Split course deletion success',
                    type: 'error',
                    styling: 'bootstrap3',
                    min_height: "20px",
                    mobile: {'styling': true},

                });
            });
        {% endif %}

        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }
        $('document').ready(function () {
            $('[name="batch_tab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'selected_semester_tab'});
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();

            });
        });

        $('document').ready(function () {
            $('[name="course_tab"]').click(function () {
                //curent_subject = this.id;
                //alert(this.id)

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'inherit_department_pk'});
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'subject_code'});
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: {{ selected_semester }},
                    name: 'inherit_batch'
                });
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();

            });
        });
    </script>

{% endblock %}